package com.ruoyi.bst.complaint.mapper;

import java.util.List;
import com.ruoyi.bst.complaint.domain.Complaint;
import com.ruoyi.bst.complaint.domain.ComplaintVO;
import com.ruoyi.bst.complaint.domain.ComplaintQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 投诉列表Mapper接口
 *
 * @author ruoyi
 * @date 2025-05-22
 */
public interface ComplaintMapper
{
    /**
     * 查询投诉列表
     *
     * @param id 投诉列表主键
     * @return 投诉列表
     */
    ComplaintVO selectComplaintById(Long id);

    /**
     * 查询投诉列表列表
     *
     * @param query 投诉列表
     * @return 投诉列表集合
     */
    List<ComplaintVO> selectComplaintList(@Param("query")ComplaintQuery query);

    /**
     * 新增投诉列表
     *
     * @param complaint 投诉列表
     * @return 结果
     */
    int insertComplaint(Complaint complaint);

    /**
     * 批量新增投诉列表
     */
    int batchInsert(@Param("list") List<? extends Complaint> list);

    /**
     * 批量修改投诉列表
     */
    int batchUpdate(@Param("list") List<? extends Complaint> list);

    /**
     * 修改投诉列表
     *
     * @param complaint 投诉列表
     * @return 结果
     */
    public int updateComplaint(@Param("data") Complaint complaint);

    /**
     * 删除投诉列表
     *
     * @param id 投诉列表主键
     * @return 结果
     */
    int deleteComplaintById(Long id);

    /**
     * 批量删除投诉列表
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteComplaintByIds(Long[] ids);
}
